E-MailRelay

Classes | Namespaces
geventloop_select.cpp File Reference
`#include "gdef.h"`
`#include "gscope.h"`
`#include "gevent.h"`
`#include "geventhandlerlist.h"`
`#include "gprocess.h"`
`#include "gexception.h"`
`#include "gstr.h"`
`#include "gfile.h"`
`#include "gtimer.h"`
`#include "gtimerlist.h"`
`#include "gtest.h"`
`#include "glog.h"`
`#include "gassert.h"`
`#include <sstream>`
`#include <sys/types.h>`
`#include <sys/time.h>`

Go to the source code of this file.

## Classes
class | GNet::FdSet
| An "fd_set" wrapper class used by GNet::EventLoopImp. More...
class | GNet::EventLoopImp
| A concrete implementation of GNet::EventLoop using select() in its implementation. More...

## Namespaces
namespace | GNet
| Network classes.